//Datei: ds1821.H
// Pindefinitionen fr den PIC
//
// Holger Klabunde
// Copyright 2000
// 24.05.2000
// Compiler CC5x


#define MINMAX_EXT	RA2 //Auswahl Mintemp Maxtemp extern
#define MINMAX_INT	RA3 //Auswahl Mintemp Maxtemp intern
#define DSINTERN	RA4 //Die Datenleitung zum DS1821
                        //Der einzige Open Collector Ausgang

//PORTA.1 kann kein OpenCollector sein
//Wird aber simuliert !
#define DSEXT 	    PORTA.1 //Externer Fhler
#define DSEXT_ON()  { TRISA.1=1; RA1=1; } //Umschalten auf Eingang
#define DSEXT_OFF() { TRISA.1=0; RA1=0; } //Umschalten auf Ausgang


//Befehle fr den DS1821
#define READTEMP	0xAA	//Temperatur lesen
#define WRITEHIGH	0x01	//Einschalttemperatur schreiben
#define WRITELOW	0x02	//Ausschalttemperatur schreiben
#define READHIGH	0xA1	//Einschalttemperatur lesen
#define READLOW		0xA2	//Ausschalttemperatur lesen
#define WRITESTATUS	0x0C	//Statusregister schreiben
#define READSTATUS	0xAC	//Statusregister lesen
#define STARTCONV	0xEE	//Messung starten
#define STOPCONV	0x22	//Messung abbrechen
#define READCOUNT	0xA0	//interne Zhler lesen
#define LOADREM		0x41    //Zweites Register laden
